summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobert Siebeck <gentoo.2019@r123.de>2020-09-24 19:29:28 +0200
committerSam James <sam@gentoo.org>2020-09-29 22:14:31 +0000
commit8150d626d9a215e8058d6ff12fb49605606299ba (patch)
tree413b73bcd2f6c93f345b3413480472eeef5a895d
parentapp-office/kraft: Disable broken tests (diff)
downloadgentoo-8150d626d9a215e8058d6ff12fb49605606299ba.tar.gz
gentoo-8150d626d9a215e8058d6ff12fb49605606299ba.tar.bz2
gentoo-8150d626d9a215e8058d6ff12fb49605606299ba.zip
net-im/signal-desktop-bin: add new version 1.36.2
Signed-off-by: Robert Siebeck <gentoo.2019@r123.de> Signed-off-by: Sam James <sam@gentoo.org>
-rw-r--r--net-im/signal-desktop-bin/Manifest1
-rw-r--r--net-im/signal-desktop-bin/signal-desktop-bin-1.36.2.ebuild103
2 files changed, 104 insertions, 0 deletions
diff --git a/net-im/signal-desktop-bin/Manifest b/net-im/signal-desktop-bin/Manifest
index c696810b6df..78a666be96d 100644
--- a/net-im/signal-desktop-bin/Manifest
+++ b/net-im/signal-desktop-bin/Manifest
@@ -1 +1,2 @@
DIST signal-desktop_1.36.1_amd64.deb 108956366 BLAKE2B 6f268351d731dfd02353f0bef5112f969b2601b11b8c22ea269735c3bcde55b6d89295292d08a8b2d4d6de6ac91a8b345de9af3b6544363ec3fe9031d9501837 SHA512 b609b5f83b1353516e3f274e190c862fbc4153171ce581719543f9c8ac7ccc450285353a2b89005a855a267667702c767778904de401800c0228612915208992
+DIST signal-desktop_1.36.2_amd64.deb 108652236 BLAKE2B 60447e0783ed52839c996b364972433a992de9fee45861cfafb5e6509283364eaa0628227754acea7d1f93a21289abfe9bb9bb62d7c4e32f7104fa8c97fe20b5 SHA512 581e904d37b17c6179e7bd677cc716f2ad48b6d210a2117a94a30066334f601159a73245bff91b503e3819b083364292aca34329d40287bd7655ccadb166792f
diff --git a/net-im/signal-desktop-bin/signal-desktop-bin-1.36.2.ebuild b/net-im/signal-desktop-bin/signal-desktop-bin-1.36.2.ebuild
new file mode 100644
index 00000000000..7a50112a339
--- /dev/null
+++ b/net-im/signal-desktop-bin/signal-desktop-bin-1.36.2.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_PN="${PN/-bin/}"
+
+inherit optfeature pax-utils unpacker xdg
+
+DESCRIPTION="Allows you to send and receive messages of Signal Messenger on your computer"
+HOMEPAGE="https://signal.org/
+ https://github.com/signalapp/Signal-Desktop"
+SRC_URI="https://updates.signal.org/desktop/apt/pool/main/s/${MY_PN}/${MY_PN}_${PV}_amd64.deb"
+
+LICENSE="GPL-3 MIT MIT-with-advertising BSD-1 BSD-2 BSD Apache-2.0 ISC openssl ZLIB APSL-2 icu Artistic-2 LGPL-2.1"
+SLOT="0"
+KEYWORDS="-* ~amd64"
+
+BDEPEND="app-admin/chrpath"
+RDEPEND="
+ app-accessibility/at-spi2-atk
+ app-accessibility/at-spi2-core
+ dev-libs/atk
+ dev-libs/expat
+ dev-libs/glib
+ dev-libs/nspr
+ dev-libs/nss
+ media-libs/alsa-lib
+ media-libs/mesa[X(+)]
+ net-print/cups
+ sys-apps/dbus[X]
+ x11-libs/cairo
+ x11-libs/gdk-pixbuf
+ x11-libs/gtk+:3[X]
+ x11-libs/libX11
+ x11-libs/libxcb
+ x11-libs/libXcomposite
+ x11-libs/libXcursor
+ x11-libs/libXdamage
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXi
+ x11-libs/libXrandr
+ x11-libs/libXrender
+ x11-libs/libXScrnSaver
+ x11-libs/libXtst
+ x11-libs/pango
+"
+
+QA_PREBUILT="opt/Signal/signal-desktop
+ opt/Signal/chrome-sandbox
+ opt/Signal/crashpad_handler
+ opt/Signal/libffmpeg.so
+ opt/Signal/libGLESv2.so
+ opt/Signal/libnode.so
+ opt/Signal/libVkICD_mock_icd.so
+ opt/Signal/libvk_swiftshader.so
+ opt/Signal/swiftshader/libGLESv2.so
+ opt/Signal/resources/app.asar.unpacked/node_modules/curve25519-n/build/Release/curve.node
+ opt/Signal/resources/app.asar.unpacked/node_modules/@journeyapps/sqlcipher/lib/binding/electron-v8.3-linux-x64/node_sqlite3.node
+ opt/Signal/resources/app.asar.unpacked/node_modules/zkgroup/node_modules/ref-napi/build/Release/binding.node
+ opt/Signal/resources/app.asar.unpacked/node_modules/ref-napi/build/Release/binding.node
+ opt/Signal/resources/app.asar.unpacked/node_modules/ringrtc/build/linux/libringrtc.node
+ opt/Signal/resources/app.asar.unpacked/node_modules/ffi-napi/build/Release/ffi_bindings.node
+ opt/Signal/resources/app.asar.unpacked/node_modules/sharp/build/Release/sharp.node
+ opt/Signal/resources/app.asar.unpacked/node_modules/sharp/vendor/lib/*
+ opt/Signal/resources/app.asar.unpacked/node_modules/zkgroup/libzkgroup.so"
+
+RESTRICT="splitdebug"
+
+S="${WORKDIR}"
+
+src_prepare() {
+ default
+ sed -e 's|\("/opt/Signal/signal-desktop"\)|\1 --start-in-tray|g' \
+ -e 's| --no-sandbox||g' \
+ -i usr/share/applications/signal-desktop.desktop || die
+ unpack usr/share/doc/signal-desktop/changelog.gz
+ # Fix Bug 706352
+ chrpath opt/Signal/resources/app.asar.unpacked/node_modules/sharp/vendor/lib/libjpeg.so.8.2.2 -r '$ORIGIN:/target/lib' || die
+ chrpath opt/Signal/resources/app.asar.unpacked/node_modules/sharp/vendor/lib/libffi.so.6.0.4 -d || die
+}
+
+src_install() {
+ insinto /
+ dodoc changelog
+ doins -r opt
+ insinto /usr/share
+ doins -r usr/share/applications
+ doins -r usr/share/icons
+ fperms +x /opt/Signal/signal-desktop /opt/Signal/chrome-sandbox
+ fperms u+s /opt/Signal/chrome-sandbox
+ pax-mark m opt/Signal/signal-desktop opt/Signal/chrome-sandbox
+
+ dosym ../../opt/Signal/${MY_PN} /usr/bin/${MY_PN}
+ dosym ../../usr/lib64/libEGL.so opt/Signal/libEGL.so
+ dosym ../../../usr/lib64/libEGL.so opt/Signal/swiftshader/libEGL.so
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+ optfeature "using the tray icon in Xfce desktop environments" xfce-extra/xfce4-statusnotifier-plugin
+}